<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:output	
		method="xml" indent="yes" encoding="utf-8"
   		doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"	
    		doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" 
	/>
	
	<xsl:template match="/">
	
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
		<head>
			<meta name="generator" content="Cyclone3XULadmin" />
			<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
			<title><xsl:value-of select="name(/*)"/></title>
		</head>
		
		<body>
			
   		<h1><xsl:value-of select="name(/*)" /></h1>
			
			<!--
			<dl>
				<xsl:for-each select="/*/@*">
				<dt>
				<strong><xsl:value-of select="name(.)"/></strong>:
				</dt>
				<dd>
				<xsl:value-of select="." />
				</dd>
				</xsl:for-each>
			</dl>
			-->
			
   		<table border="1">
			
				<thead>
					<tr>
						<xsl:for-each select="/*/row[1]/*">
							<xsl:if test="not(@hidden = 'true')">
								<th>
							
								<xsl:value-of select="@label"/>
							
								</th>
							</xsl:if>
						</xsl:for-each>
					</tr>
				</thead>
				
				<tbody>
					
					<xsl:for-each select="/*/row">
						<tr>
						<xsl:for-each select="./*">
							<xsl:if test="not(@hidden = 'true')">
								<td>
								<xsl:choose>
									<xsl:when test="string(.)">
										<xsl:value-of select="."/>
									</xsl:when>

									<xsl:otherwise>
										<xsl:text>&#160;</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
								</td>
							</xsl:if>
						</xsl:for-each>
					</tr>
					</xsl:for-each>
				</tbody>
				
  			</table>
 		</body>
 	</html>
	
	</xsl:template>
	
</xsl:stylesheet>

